/*______________________________________________________________________
| DYNOHELP.H  Version 1.00   Copyright 94 Greg Ratajik                  |
|~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~|
|  This header file is used for linking to the Dynamic Help API Set     |
|                                                                       |
|         DynoCreateButton - Creates Dynamic help for the passed window |
|                                                                       |
|           DynoGetVersion - Returned the version the DLL was compiled  |
|                            with.                                      |
|                                                                       |
|                                                                       |
|  Messages:                                                            |
|  ------------------------------------------------------------------   |
|  WM_DYNO_CHANGE          - Change the help text for the passed        |
|                            handle.                                    |
|                                                                       |
|                                                                       |
|                            WinSendMsg(hWndDyno,                       |
|                                       WM_DYNO_CHANGE,                 |
|                                       szText, 0);                     |
|                                                                       |
|  WM_DYNO_DELETE          - Delete the passed Dynamic Help             |
|                                                                       |
|                            WinSendMsg(hWndDyno,                       |
|                                       WM_DYNO_DELETE,                 |
|                                       0, 0);                          |
|                                                                       |
|  Defines:                                                             |
|  ------------------------------------------------------------------   |
|  DYNOHELP_DYNAMIC_LINK  - Using this preps the information to         |
|                           to dynamically load the DYNOHELP.DLL        |
|                           If this define isn't used, the information  |
|                           will be for statically linked DLL or OBJ.   |
|                                                                       |
|  DYNOS_MAJOR_VERSION    - This can be used to validate that you       |
|                           compiled using the same version of this     |
|                           header. If you call DynoGetVersion,and get a|
|                           version other than the one you compiled with|
|                           DO NOT USE.                                 |
|                                                                       |
| Version Release  Date       Change                                    |
| ------- -------  ---------  ----------------------------------------  |
| 0.05             06/26/94   Created public header file for obj/dll acc|
| 1.00             08/18/94   Added dynamic load access/defines         |
| 1.01             11/09/94   Added WM_DYNO_DELETE                      |
|_____________________________________________________________________*/
#ifndef DYNOHELP_INCLUDED
    #define DYNOHELP_INCLUDED

    /*_______________________________
    |                                |
    | If the major version is not the|
    | same as the one compiled with, |
    | don't use - Linkage has changed|
    |______________________________*/
    #define DYNO_MAJOR_VERSION 0

    #define WM_DYNO_CHANGE  1997
    #define WM_SHOW_DYNO    1998
    #define WM_DYNO_DELETE  1999

    #ifndef DYNOHELP_DYNAMIC_LINK
        VOID APIENTRY DynoCreateHelp ( HWND,      /* Handle of Dialog      */
                                       HWND,      /* Handle of control     */
                                       PCHAR,     /* Status bar text       */
                                       USHORT,    /* ID of status bar      */
                                       BOOL );    /* ID of status bar      */

        USHORT APIENTRY DynoGetVersion ( VOID  ); /* DLL Version           */
    #else
        #define DYNO_MODULE_NAME  "DYNOHELP"        /* DLL Name            */
        #define DYNO_CREATE_NAME  "DYNOCREATEHELP"  /* API Create Name     */
        #define DYNO_VERSION_NAME "DYNOGETVERSION"  /* API Version Name    */

        PFN DynoCreateHelp; /* Use DosLoadModule/DosQueryProcAddr to get   */
        PFN DynoGetVersion;

    #endif
#endif
